org.eclipse.rdf4j.model.impl

## Class SimpleStatement

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.SimpleStatement

- All Implemented Interfaces:
    Serializable, Statement
  Direct Known Subclasses:
    ContextStatement, ExtensibleStatementImpl, StatementImpl

      public class SimpleStatement
      extends Object
      implements Statement

  A simple default implementation of the `Statement` interface for statements that don't have an associated context. For statements that do have an associated context, `ContextStatement` can be used.
  See Also:
    `SimpleValueFactory`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleStatement(Resource subject, IRI predicate, Value object)` Creates a new Statement with the supplied subject, predicate and object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Compares a statement object to another object.
    `Resource` | `getContext()` Gets the context of this statement.
    `Value` | `getObject()` Gets the object of this statement.
    `IRI` | `getPredicate()` Gets the predicate of this statement.
    `Resource` | `getSubject()` Gets the subject of this statement.
    `int` | `hashCode()` The hash code of a statement.
    `String` | `toString()` Gives a String-representation of this Statement that can be used for debugging.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStatement

          protected SimpleStatement(Resource subject,
                                    IRI predicate,
                                    Value object)

      Creates a new Statement with the supplied subject, predicate and object. *

      Note that creating SimpleStatement objects directly via this constructor is not the recommended approach. Instead, use a `ValueFactory` (obtained from your repository or by using `SimpleValueFactory.getInstance()`) to create new Statement objects.

      Parameters:
        `subject` - The statement's subject, must not be `null`.
        `predicate` - The statement's predicate, must not be `null`.
        `object` - The statement's object, must not be `null`.
      See Also:
        `AbstractValueFactory.createStatement(Resource, IRI, Value)`

  - ### Method Detail

    - #### getSubject

          public Resource getSubject()

      Description copied from interface: `Statement`
      Gets the subject of this statement.
      Specified by:
        `getSubject` in interface `Statement`
      Returns:
        The statement's subject.

    - #### getPredicate

          public IRI getPredicate()

      Description copied from interface: `Statement`
      Gets the predicate of this statement.
      Specified by:
        `getPredicate` in interface `Statement`
      Returns:
        The statement's predicate.

    - #### getObject

          public Value getObject()

      Description copied from interface: `Statement`
      Gets the object of this statement.
      Specified by:
        `getObject` in interface `Statement`
      Returns:
        The statement's object.

    - #### getContext

          public Resource getContext()

      Description copied from interface: `Statement`
      Gets the context of this statement.
      Specified by:
        `getContext` in interface `Statement`
      Returns:
        The statement's context, or `null` in case of the null context or if not applicable.

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `Statement`
      Compares a statement object to another object.
      Specified by:
        `equals` in interface `Statement`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `other` - The object to compare this statement to.
      Returns:
        `true` if the other object is an instance of `Statement` and if their subjects, predicates, objects and contexts are equal.

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Statement`
      The hash code of a statement.
      Specified by:
        `hashCode` in interface `Statement`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hash code for the statement.

    - #### toString

          public String toString()

      Gives a String-representation of this Statement that can be used for debugging.
      Overrides:
        `toString` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.